Bug 243579 - F7 does not automatically turn off the machine after shutting down
F7 does not automatically turn off the machine after shutting down
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-09 22:57 EDT by Truong Xuan Tinh
Modified: 2008-01-09 09:11 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-09 09:11:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Truong Xuan Tinh 2007-06-09 22:57:22 EDT
Description of problem:
F7 does not automatically turn off the machine after shutting down

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Shutdown the computer
2.
3.
  
Actual results:
The screen is still there with a lot of message, F7 should turn off the power
after shutting down

Expected results:


Additional info:
Here is my smolt profile:
http://smolt.fedoraproject.org/show?UUID=831d0754-b50c-4668-bb36-5268939b040a
PS: I have just install the x86 version of F7 on the same machine and the
shutdown process run just fine. Maybe this issue only affects the x84_64 version
of F7.
Comment 1 Tom Wood 2007-06-10 21:38:38 EDT
Same problem here.  Machine powered off successfully under FC4,5,6. 
/usr/bin/poweroff powers the machine down as expected.

Machine is Athlon 2500+ based running 2.6.20-2925.9.fc7xen, so it's not just
64-bit machines that are affected.  My smolt profile is at
http://smolt.fedoraproject.org/show?UUID=e5fa8f42-4819-4eea-a5e3-492c263760a1

Comment 2 Marco Turcios 2007-06-14 22:09:15 EDT
I'm running the 32-bit version on an Intel Pentium D, but getting the same
behavior. One interesting thing is that if I switch to terminal mode via
CTRL-ALT-F1, the issue shutdown as root, I get dumped into another shell one it
gets done with all the preliminaries. It looks like this:

sh#3-1>

or something like that
Comment 3 Truong Xuan Tinh 2007-06-15 03:36:23 EDT
I've installed F7 x86 on a virtual machine of KVM recently and have the same
problem with Marco Turious. After shutting down, the machine display something
like sh#3-1>.
But this issue doesn't always happen, just sometime.
Comment 4 Stefan Orbilt 2007-06-15 16:20:18 EDT
My system won't turn itself off either. Here are the final messages I get in the
console after shutting down the system:

ACPI:PCI interrupt for the device 0000:02:00.0 disabled.
Power down.
acpi_power_off called

Are you guys getting something similar to this?
Comment 5 Marco Turcios 2007-06-16 02:54:44 EDT
Stefan: No I don't get those messages at all; I found out my problem lay elsewhere.

Trong: I found my problem was with my video drivers. Are you using the nvidia
drivers from livna? I unintsalled kmod-nvidia and the xorg-x11-nv-driver
packages, deleted my xorg.conf file, then rebooted. After configuring X, I
redownloaded the nvidia drivers and I am able to shut down now.
Comment 6 Truong Xuan Tinh 2007-06-16 11:00:55 EDT
I also use the nvidia drivers from livna, but that's the really machine with
Fedora 7 x64_86, on my virtual machine (KVM) with Fedora 7 x86, this issues
happened just a couple of times.
Comment 7 Tom Kocourek 2007-06-17 01:55:10 EDT
Mother Board: Intel D101GGC with an Intel 950 Dual core Pentium D
OS: Fedora Core 6 X86_64 version

Problem: When The system is shutdown with the menu selection, the system will do
the proper shutdown EXCEPT the machine will not power down once in a halted
condition. This problem occurred after the Fedora Core 6 was updated. Prior to
the update, the machine would power down when halted. No changes were made to
the machine except the update.

Kernel: 2.6.20-1.2948.fc6xen #1 SMP 
Comment 8 Stefan Orbilt 2007-06-19 18:12:18 EDT
It seems I am able to power off my computer correctly now. What I did is I
installed the acpid (ACPI Event Daemon) package which I hadn't installed
earlier. I also reinstalled the nvidia drivers like Marco did but if I remember
correctly it didn't work until I installed acpid and rebooted. I just hope it
keeps working now.
Comment 9 ryan green 2007-06-19 20:05:29 EDT
With FC 5 and 6, the shutdown process would turn off power to my PC. With F7,
this function no longer works. The shutdown process logs information to the
screen and ends with the message that the system has halted. But the PC remains
powered on. I have to reach around to the back to power off the PC.

For F7, I did a cold install, not an update.

System: AMD Athlon dual core 3800+, 2 GB RAM, nVidia G70, mobo ECS K8T890-A.
Comment 10 Ryan Niebur 2007-06-27 15:36:07 EDT
Yesterday I switched from FC6 to F7 (I did a cold install).  When I had FC6 I
could shutdown fine but now it just says "system halted" and I have to hold down
the power button until it shuts down.

Processor: Pentium-D
Motherboard: Intel DG965WH
Comment 11 Ryan Niebur 2007-06-27 15:58:12 EDT
Installing acpid fixed mine too.
Shouldn't acpid automatically be installed?
Comment 12 Claus Tondering 2007-07-08 15:15:30 EDT
Installing acpid did not solve the problem for me.

However, I discovered that if I boot "fedora-base" rather than "fedora" on the
initial Grub screen, poweroff will work.
Comment 13 Mike 2007-07-31 08:13:46 EDT
I had the same problem after a clean install of F7; on shutdown it would get to
'system halted' and hang there. I disabled the xen VM in the services manager,
then changed from the xen kernel to the standard kernel as default in boot
manager. My machine shuts down and powers off properly every time now.
Comment 14 Christopher Brown 2007-09-16 16:23:08 EDT
Hello folks,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

The original reporter has not marked this as fixed however subsequent comments
indicate it might be.

I am CC'ing myself to this bug and will try and assist you in resolving it if I
can. i have experienced this issue myself in fact and believe the problem lay
either with my vmware install or the nvidia driver I was using.

Could you tell me if you are still having problems with the latest kernel and if
so does disabling the above software (if you are using it) resolve this issue?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.

Cheers
Chris
Comment 15 Christopher Brown 2008-01-09 09:11:49 EST
As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

Note You need to log in before you can comment on or make changes to this bug.